roboptim::GenericFunctionTraits< EigenMatrixSparse > Struct Template Reference
Mathematical abstract functions

Trait specializing GenericFunction for Eigen sparse matrices. More...

`#include <roboptim/core/function.hh>`

## Public Types

typedef Eigen::SparseMatrix< double, Eigen::RowMajor > | matrix_t
typedef Eigen::Matrix< double, Eigen::Dynamic, 1 > | vector_t
typedef matrix_t::Index | size_type
typedef matrix_t::Scalar | value_type
typedef vector_t | result_t
typedef vector_t | argument_t
typedef Eigen::SparseVector< double > | gradient_t
typedef matrix_t | jacobian_t

## Detailed Description

### template<>
struct roboptim::GenericFunctionTraits< EigenMatrixSparse >

Trait specializing GenericFunction for Eigen sparse matrices.

## Member Typedef Documentation

typedef vector_t roboptim::GenericFunctionTraits< EigenMatrixSparse >::argument_t

typedef Eigen::SparseVector<double> roboptim::GenericFunctionTraits< EigenMatrixSparse >::gradient_t

typedef matrix_t roboptim::GenericFunctionTraits< EigenMatrixSparse >::jacobian_t

typedef Eigen::SparseMatrix<double, Eigen::RowMajor> roboptim::GenericFunctionTraits< EigenMatrixSparse >::matrix_t

typedef vector_t roboptim::GenericFunctionTraits< EigenMatrixSparse >::result_t

typedef matrix_t::Index roboptim::GenericFunctionTraits< EigenMatrixSparse >::size_type

typedef matrix_t::Scalar roboptim::GenericFunctionTraits< EigenMatrixSparse >::value_type

typedef Eigen::Matrix<double, Eigen::Dynamic, 1> roboptim::GenericFunctionTraits< EigenMatrixSparse >::vector_t